## Settings

Theme:

## Instructions

Unified web interface to analyse runtime information stored in the v8 log.

For generating a v8.log file from d8:

- `/path/do/d8 --trace-maps --trace_ic --log-source-code $FILE`

For generating a v8.log file from Chrome:

- `/path/to/chrome --user-data-dir=/var/tmp/chr$RANDOM --no-sandbox --js-flags='--trace-ic --trace-maps --log-source-code’ $WEBSITE_URL`

### Log Options:

`--trace-maps`
  Log Maps
`--trace-ic`
  Log ICs
`--log-source-code`
  Log source code

### Keyboard Shortcuts for Navigation

`SHIFT` + `Arrow Up`
  Follow Map transition forward (first child)
`SHIFT` + `Arrow Down`
  Follow Map transition backwards
`Arrow Up`
  Go to previous Map chunk
`Arrow Down`
  Go to next Map in chunk
`Arrow Left`
  Go to previous chunk
`Arrow Right`
  Go to next chunk
`+`
  Timeline zoom in
`-`
  Timeline zoom out